$(function () {
  // -------------------- メインビジュアルカルーセル
  $('#carousel').slick({
    arrows: false,
    autoplay: true,
    autoplaySpeed: 5000,
    infinite: true,
    slidesToShow: 1,
    slidesToScroll: 1,
    centerMode: true,
    centerPadding: '0px',
    variableWidth: true,
    pauseOnHover: false,
    responsive: [{
      breakpoint: 720,
      settings: {
        variableWidth: false
      }
    }]
  });
  // -------------------- 写真家ランダム表示
  var arr = [];
  $('ul.photographers-list li').not('.not-covered').each(function () {
    arr.push($(this).html());
  });
  arr.sort(function () {
    return Math.random() - Math.random();
  });
  $('ul.photographers-list li:not(.not-covered)').remove();
  for (i = 0; i < arr.length; i++) {
    $('ul.photographers-list').prepend('<li>' + arr[i] + '</li>');
  }
  // -------------------- 写真家作品サムネイルランダム表示
  $(".slideshow").each(function () {
    var content = $(this).find("*");
    var total = content.size();
    content.eq(Math.floor(Math.random() * total)).prependTo($(this));
  });
  // -------------------- 写真家作品サムネイルスライドショー表示
  var setImg = '.slideshow-play';
  var fadeSpeed = 1000;
  var switchDelay = 3000;
  $('.slideshow').each(function () {
    $(this).children('img').css({
      opacity: '0'
    });
    $(this).children('img:first').stop().animate({
      opacity: '1',
      zIndex: '1'
    }, fadeSpeed);
  });
  setInterval(function () {
    $(setImg + ' :first-child').animate({
      opacity: '0'
    }, fadeSpeed).next('img').animate({
      opacity: '1'
    }, fadeSpeed).end().appendTo(setImg);
  }, switchDelay);
  $('.photographers-list li a').hover(function () {
    $(this).children('.slideshow').addClass("slideshow-play");
  }, function () {
    $(this).children('.slideshow').removeClass("slideshow-play");
  });
});